> For the complete documentation index, see [llms.txt](https://help.enterprise.ledger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.enterprise.ledger.com/api-documentation/reference/api-reference/digests/search-digests.md).

# Search Digests

## Search Digests

> Use the following parameters to search digests.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"_APISearchDigestsResults":{"properties":{"edges":{"items":{"$ref":"#/components/schemas/DigestsSearchResult"},"type":"array"},"page_info":{"$ref":"#/components/schemas/APISearchPageInfo"}},"required":["edges","page_info"],"type":"object"},"DigestsSearchResult":{"properties":{"cursor":{"type":"integer"},"node":{"$ref":"#/components/schemas/Digests"}},"required":["cursor","node"],"type":"object"},"Digests":{"additionalProperties":false,"properties":{"account_id":{"type":"integer"},"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"digests_data":{"description":"The digests list signed, or to sign","oneOf":[{"items":{"$ref":"#/components/schemas/SignedDigest"},"type":"array"},{"items":{"$ref":"#/components/schemas/ToSignDigest"},"type":"array"}]},"id":{"type":"integer"},"last_request":{"default":null,"nullable":true,"type":"integer"},"notes":{"description":"Notes attached to this message","items":{"$ref":"#/components/schemas/TransactionOrMessageNote"},"type":"array"},"status":{"enum":["ABORTED","APPROVED","PENDING_APPROVAL","PENDING_CREATE_IN_HSM","SIGNED"],"type":"string"}},"required":["account_id","created_by","created_on","digests_data","id","notes","status"],"type":"object"},"SignedDigest":{"properties":{"derivation_path":{"description":"The full derivation path to sign the digests","type":"string"},"digest":{"description":"A HexString digests. For currencies that use secp256K1, string must be 32 bytes long","type":"string"},"pub_key":{"description":"The public key used to sign the digests","type":"string"},"signature":{"allOf":[{"$ref":"#/components/schemas/DigestSignature"}],"description":"The signature of the digests"}},"required":["derivation_path","digest","pub_key","signature"],"type":"object"},"DigestSignature":{"properties":{"der":{"default":null,"description":"The der value of the signature","nullable":true,"type":"string"},"r":{"description":"The r value of the signature","type":"string"},"s":{"description":"The s value of the signature","type":"string"},"v":{"default":null,"description":"The v value of the signature","nullable":true,"type":"integer"}},"required":["r","s"],"type":"object"},"ToSignDigest":{"properties":{"derivation_path":{"description":"The full derivation path to sign the digests","type":"string"},"digest":{"description":"A HexString digests. For currencies that use secp256K1, string must be 32 bytes long","type":"string"}},"required":["derivation_path","digest"],"type":"object"},"TransactionOrMessageNote":{"properties":{"content":{"type":"string"},"title":{"type":"string"}},"required":["content","title"],"type":"object"},"APISearchPageInfo":{"properties":{"count":{"type":"integer"},"has_next_page":{"type":"boolean"}},"required":["count","has_next_page"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/digests":{"get":{"summary":"Search Digests","tags":["Digests"],"description":"Use the following parameters to search digests.","parameters":[{"name":"account","in":"query","description":"Returns digests signed by the provided account.","required":false,"explode":true,"schema":{"default":null,"items":{"type":"integer"},"nullable":true,"type":"array"},"style":"form"},{"name":"created_after","in":"query","description":"Returns objects created after the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"created_before","in":"query","description":"Returns objects created before the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"id","in":"query","description":"Returns the object corresponding to the entered ID","required":false,"schema":{"default":null,"nullable":true,"type":"integer"}},{"name":"order","in":"query","description":"Orders the list of results","required":false,"schema":{"default":null,"enum":[null,"asc","desc"],"nullable":true,"type":"string"}},{"name":"order_by","in":"query","description":"criteria to order by","required":false,"schema":{"default":null,"nullable":true,"type":"string"}},{"name":"page","in":"query","description":"Defines the page number to be fetched.","required":false,"schema":{"default":1,"minimum":1,"nullable":true,"type":"integer"}},{"name":"page_size","in":"query","description":"Defines the number of elements displayed on a page.\n        Must be a positive number with 0 and -1 return a maximum defined in the gate","required":false,"schema":{"default":20,"minimum":-1,"nullable":true,"type":"integer"}},{"name":"status","in":"query","description":"Returns objects that match the selected status.","required":false,"explode":true,"schema":{"default":null,"items":{"enum":["ABORTED","APPROVED","PENDING_APPROVAL","PENDING_CREATE_IN_HSM","SIGNED"],"type":"string"},"nullable":true,"type":"array"},"style":"form"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/_APISearchDigestsResults"}}},"description":"Digests search results"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid search parameters"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/digests/search-digests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
